Documentation Index
Fetch the complete documentation index at: https://docs.rxscale.com/llms.txt
Use this file to discover all available pages before exploring further.
Webhooks (External Pharmacy API)
Registrieren Sie Webhooks, um Echtzeitbenachrichtigungen zu erhalten, wenn Apothekenbestellungen erstellt oder aktualisiert werden oder wenn sich Lagerbestände ändern.
Webhooks auflisten
GET /v1/external-pharmacy-api-v1/webhooks/
Antwort
[
{
"uid": "sub-abc123",
"target": "https://your-system.com/webhooks/rxscale",
"notification_type": "pharmacy_order_created"
}
]
Webhook registrieren
POST /v1/external-pharmacy-api-v1/webhooks/
Anfragekörper
{
"target": "https://your-system.com/webhooks/rxscale",
"notification_type": "pharmacy_order_created"
}
Antwort
{
"uid": "sub-abc123",
"target": "https://your-system.com/webhooks/rxscale",
"notification_type": "pharmacy_order_created",
"signing_secret": "whsec_abc123..."
}
Das signing_secret wird nur einmalig bei der Erstellung zurückgegeben. Speichern Sie es sicher — Sie benötigen es zur Verifizierung von Webhook-Signaturen. Weitere Informationen finden Sie unter Webhook-Sicherheit.
Webhook entfernen
DELETE /v1/external-pharmacy-api-v1/webhooks/{subscription_uid}
Gibt bei Erfolg 204 No Content zurück.
Verfügbare Ereignistypen
| Ereignistyp | Beschreibung |
|---|
pharmacy_order_created | Eine neue Apothekenbestellung wurde erstellt |
pharmacy_order_updated | Der Status einer bestehenden Bestellung hat sich geändert |
pharmacy_sku_stock_updated | Der Lagerbestand eines Ihrer SKUs hat sich geändert |
Vollständige Details zu den Payloads finden Sie unter Webhook-Ereignisse.